Flags Class Reference

`#include <flags.h>`

## Public Member Functions

void | reset ()
void | setNZ (uint8_t value)
uint8_t | get ()
void | set (uint8_t sr)

## Public Attributes

bool | C
| Carry.
bool | Z
| Zero.
bool | I
| Interrupt disabled.
bool | D
| Decimal.
bool | B
| Break.
bool | V
| Overflow.
bool | N
| Negative.

## Detailed Description

Processor status flag.

## Member Function Documentation

uint8_t Flags::get | ( |  | ) |

inline

Get status register value.

void Flags::set | ( | uint8_t | sr | ) |

inline

Set status register value.

void Flags::setNZ | ( | uint8_t | value | ) |

inline

Set N and Z flag values.

Parameters

  value | to set flags from

The documentation for this class was generated from the following file:

- flags.h